Package org.apache.commons.lang.mutable

## Class MutableBoolean

- java.lang.Object
- - org.apache.commons.lang.mutable.MutableBoolean

- All Implemented Interfaces:
    `Serializable`, `Comparable`, `Mutable`

      public class MutableBoolean
      extends Object
      implements Mutable, Serializable, Comparable

  A mutable `boolean` wrapper.
  Since:
    2.2
  Version:
    $Id: MutableBoolean.java 905707 2010-02-02 16:59:59Z niallp $
  See Also:
    `Boolean`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MutableBoolean()` | Constructs a new MutableBoolean with the default value of false.
    `MutableBoolean​(boolean value)` | Constructs a new MutableBoolean with the specified value.
    `MutableBoolean​(Boolean value)` | Constructs a new MutableBoolean with the specified value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `booleanValue()` | Returns the value of this MutableBoolean as a boolean.
    `int` | `compareTo​(Object obj)` | Compares this mutable to another in ascending order.
    `boolean` | `equals​(Object obj)` | Compares this object to the specified object.
    `Object` | `getValue()` | Gets the value as a Boolean instance.
    `int` | `hashCode()` | Returns a suitable hash code for this mutable.
    `boolean` | `isFalse()` | Checks if the current value is `false`.
    `boolean` | `isTrue()` | Checks if the current value is `true`.
    `void` | `setValue​(boolean value)` | Sets the value.
    `void` | `setValue​(Object value)` | Sets the value from any Boolean instance.
    `Boolean` | `toBoolean()` | Gets this mutable as an instance of Boolean.
    `String` | `toString()` | Returns the String value of this mutable.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableBoolean

          public MutableBoolean()

      Constructs a new MutableBoolean with the default value of false.

    - #### MutableBoolean

          public MutableBoolean​(boolean value)

      Constructs a new MutableBoolean with the specified value.
      Parameters:
        `value` - the initial value to store

    - #### MutableBoolean

          public MutableBoolean​(Boolean value)

      Constructs a new MutableBoolean with the specified value.
      Parameters:
        `value` - the initial value to store, not null
      Throws:
        `NullPointerException` - if the object is null

  - ### Method Detail

    - #### getValue

          public Object getValue()

      Gets the value as a Boolean instance.
      Specified by:
        `getValue` in interface `Mutable`
      Returns:
        the value as a Boolean, never null

    - #### setValue

          public void setValue​(boolean value)

      Sets the value.
      Parameters:
        `value` - the value to set

    - #### setValue

          public void setValue​(Object value)

      Sets the value from any Boolean instance.
      Specified by:
        `setValue` in interface `Mutable`
      Parameters:
        `value` - the value to set, not null
      Throws:
        `NullPointerException` - if the object is null

    - #### isTrue

          public boolean isTrue()

      Checks if the current value is `true`.
      Returns:
        `true` if the current value is `true`
      Since:
        2.5

    - #### isFalse

          public boolean isFalse()

      Checks if the current value is `false`.
      Returns:
        `true` if the current value is `false`
      Since:
        2.5

    - #### booleanValue

          public boolean booleanValue()

      Returns the value of this MutableBoolean as a boolean.
      Returns:
        the boolean value represented by this object.

    - #### toBoolean

          public Boolean toBoolean()

      Gets this mutable as an instance of Boolean.
      Returns:
        a Boolean instance containing the value from this mutable, never null
      Since:
        2.5

    - #### equals

          public boolean equals​(Object obj)

      Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is an `MutableBoolean` object that contains the same `boolean` value as this object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the object to compare with, null returns false
      Returns:
        `true` if the objects are the same; `false` otherwise.

    - #### hashCode

          public int hashCode()

      Returns a suitable hash code for this mutable.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the hash code returned by `Boolean.TRUE` or `Boolean.FALSE`

    - #### compareTo

          public int compareTo​(Object obj)

      Compares this mutable to another in ascending order.
      Specified by:
        `compareTo` in interface `Comparable`
      Parameters:
        `obj` - the other mutable to compare to, not null
      Returns:
        negative if this is less, zero if equal, positive if greater where false is less than true

    - #### toString

          public String toString()

      Returns the String value of this mutable.
      Overrides:
        `toString` in class `Object`
      Returns:
        the mutable value as a string